backend/models/UserDestination.php
<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "user_destination".
 *
 * @property string $pkUserDestinationID
 * @property string $streetName
 * @property string $cityName
 * @property string $phoneNumber
 * @property string $latitude
 * @property string $longitude
 * @property string $timestamp
 */
class UserDestination extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'user_destination';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['latitude', 'longitude'], 'number'],
            [['streetName'], 'string', 'max' => 50],
            [['cityName'], 'string', 'max' => 30],
            [['phoneNumber', 'timestamp'], 'string', 'max' => 20],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'pkUserDestinationID' => 'Pk User Destination ID',
            'streetName' => 'Street Name',
            'cityName' => 'City Name',
            'phoneNumber' => 'Phone Number',
            'latitude' => 'Latitude',
            'longitude' => 'Longitude',
            'timestamp' => 'Timestamp',
        ];
    }
}

backend/controllers/UserDestinationController.php
<?php

namespace backend\controllers;

use Yii;
use backend\models\UserDestination;
use backend\models\UserDestinationSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * UserDestinationController implements the CRUD actions for UserDestination model.
 */
class UserDestinationController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all UserDestination models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new UserDestinationSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single UserDestination model.
     * @param string $id
     * @return mixed
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new UserDestination model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    // public function actionCreate()
    // {
    //     $model = new UserDestination();

    //     if ($model->load(Yii::$app->request->post()) && $model->save()) {
    //         return $this->redirect(['view', 'id' => $model->pkUserDestinationID]);
    //     } else {
    //         return $this->render('create', [
    //             'model' => $model,
    //         ]);
    //     }
    // }

    /**
     * Updates an existing UserDestination model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $id
     * @return mixed
     */
    // public function actionUpdate($id)
    // {
    //     $model = $this->findModel($id);

    //     if ($model->load(Yii::$app->request->post()) && $model->save()) {
    //         return $this->redirect(['view', 'id' => $model->pkUserDestinationID]);
    //     } else {
    //         return $this->render('update', [
    //             'model' => $model,
    //         ]);
    //     }
    // }

    /**
     * Deletes an existing UserDestination model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $id
     * @return mixed
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the UserDestination model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $id
     * @return UserDestination the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = UserDestination::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}

backend/views/user-destination/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model backend\models\UserDestination */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="user-destination-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'streetName')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'cityName')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'phoneNumber')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'latitude')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'longitude')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'timestamp')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

backend/views/user-destination/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model backend\models\UserDestinationSearch */
/* @var $form yii\widgets\ActiveForm */
?>
<div class="col-md-12 searchCat">
<div class="box">
<div class="box-header">
<h3>Search</h3>
</div>

<div class="box-body">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <div class="row">
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'phoneNumber')->textInput()->input('text', ['placeholder' => "Phone Number"])->label(false); ?>
         </div>
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'latitude')->textInput()->input('text', ['placeholder' => "Latitude"])->label(false); ?>
         </div>
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'longitude')->textInput()->input('text', ['placeholder' => "Longitude"])->label(false); ?>
         </div>
    <div class="col-lg-3 col-sm-4">
        <?= Html::submitButton('Search', ['class' => 'btn btn-info']) ?>
    </div>

    <?php ActiveForm::end(); ?>
    </div>
</div>
</div>
</div>

backend/views/user-destination/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model backend\models\UserDestination */

$this->title = 'Create User Destination';
$this->params['breadcrumbs'][] = ['label' => 'User Destinations', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-destination-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

backend/views/user-destination/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\UserDestinationSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'All Destinations';
//$this->params['breadcrumbs'][] = $this->title;
?>
<section class="content-header">
        <h1><?= Html::encode($this->title) ?></h1>
    </section>
    <section class="content">

    <?php echo $this->render('_search', ['model' => $searchModel]); ?>
    <div class="col-md-12">
    <div class="box">
    <div class="box-body">

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'Phone Number',
                'value' => function($dataProvider){ 
                    //echo '<pre>'; print_r($dataProvider); echo '</pre>'; die();
                        $url = Url::to(['user-destination/view']);
                        $finalUrl = $url.'?id='.$dataProvider->pkUserDestinationID;
                      return '<u><a href="'.$finalUrl.'">'.'<span class="adInfo">'.$dataProvider->phoneNumber.'</span>'.'</a></u>';
                },
                'format' => 'html'
            ],
            [
                'attribute' => 'Latitude',
                'value' => 'latitude',
                'format' => 'html'
            ],
            [
                'attribute' => 'Longitude',
                'value' => 'longitude',
                'format' => 'html'
            ],
            [
                'attribute' => 'Date/Time',
                'value' => function($dataProvider){
                      $timestamp = $dataProvider->timestamp;
                      $newDate = gmdate("j F Y, g:i a", $timestamp);
                      return '<span style="color:#00a65a">'.$newDate.'</span>';
                },
                'format' => 'html'
            ],
            ['class' => 'yii\grid\ActionColumn', 'template' => '{view}{delete}'],
        ],
    ]); ?>

 </div>
    </div>
    </div>


</section>

backend/views/user-destination/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\UserDestination */

$this->title = 'Update User Destination: ' . $model->pkUserDestinationID;
$this->params['breadcrumbs'][] = ['label' => 'User Destinations', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->pkUserDestinationID, 'url' => ['view', 'id' => $model->pkUserDestinationID]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="user-destination-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

backend/views/user-destination/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\models\UserDestination */

$this->title = 'View Destination';
// $this->params['breadcrumbs'][] = ['label' => 'User Destinations', 'url' => ['index']];
// $this->params['breadcrumbs'][] = $this->title;
?>
<section class="content-header">
        <h1><?= Html::encode($this->title) ?></h1>
    </section>

    <section class="content">
    <div class="col-md-6">
        <?= Html::a('Delete', ['delete', 'id' => $model->pkUserDestinationID], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </div>

<?php
$phoneNumber = (isset($model->phoneNumber)) ? $model->phoneNumber : '';
$latitude = (isset($model->latitude)) ? $model->latitude : '';
$longitude = (isset($model->longitude)) ? $model->longitude : '';
$timestamp = (isset($model->timestamp)) ? $model->timestamp : '';
?>
    <div class="row">
    <div class="col-md-8 viewCat">
        <div class="box">
            <div class="box-header">
              <h3 class="box-title">Destination Information</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
              <table class="table table-striped catView">
                <tbody>
                <tr>
                  <th>Phone Number</th>
                  <td><span class="adInfo"><?php echo $phoneNumber;?></span></td>
                </tr>
                <tr>
                  <th>Latitude</th>
                  <td><?php echo $latitude;?></td>
                </tr>
                <tr>
                  <th>Longitude</th>
                  <td><?php echo $longitude;?></td>
                </tr>
                <tr>
                  <th>Date & Time</th>
                  <td><?php 
                  echo gmdate("j F Y, g:i a", $timestamp);?></td>
                </tr>
              </tbody></table>
            </div>
          </div>
          </div>
</div>